"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readConfig = void 0;
const log_1 = require("./log");
const package_editor_1 = require("./package-editor");
const readConfig = async () => {
    const [, packageJson] = await (0, package_editor_1.readPackageJson)(process.cwd());
    const config = packageJson['declarator'];
    if (!config) {
        (0, log_1.log)('error', "'declarator' section at package.json could not be found. Are you still using this package?");
        return {};
    }
    if (typeof config !== 'object') {
        throw new Error('Invalid package.json declarator format');
    }
    return config;
};
exports.readConfig = readConfig;
//# sourceMappingURL=config.js.map