"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeCommand = exports.generateCommand = void 0;
const child_process_1 = __importDefault(require("child_process"));
const generateCommand = (createdTsconfig) => {
    return `tsc -p ./tsconfig.declarator.json ${!createdTsconfig ? '--emitDeclarationOnly' : ''}`;
};
exports.generateCommand = generateCommand;
const executeCommand = (line, options) => {
    return new Promise((resolve) => {
        child_process_1.default.exec(line, options, (err, stdout, stderr) => {
            if (err) {
                resolve([null, { err, stderr }]);
            }
            else {
                resolve([stdout, null]);
            }
        });
    });
};
exports.executeCommand = executeCommand;
//# sourceMappingURL=executor.js.map